import re

# načtení vstupního textu
with open('15kHz_1740657045.txt') as soubor:
    text = soubor.read()

# příprava regexpové mašiny
pattern = re.compile(r'^\|\s(.*)\n^\|\s<kbd>(.*)</kbd>\n^\|\s.*\s\|\s(.*)\n^\|\s(.*)\n^\|\s(.*)\n^\|\s.*\s\|\s(.*)\n^\|\s(.*)\n^\|\s.*\s\|\s(.*)\n^\|\s.*\s\|\s(.*)\n^\|\s(.*)\n', re.MULTILINE)

with open('15kHz.csv', mode='tw', encoding='utf-8') as soubor:
    soubor.write('brand\tmodel\tsize\thres\tvres\taspect\tinputs\tsupport\tyear\tcomments\n')
    for i,match in enumerate(pattern.finditer(text), start=1):
        brand, model, size, hres, vres, aspect, inputs, support, year, comments = match.groups()
        print(
            f'{brand}\t<kbd>{model}</kbd>\t{size}\t{hres}\t{vres}\t{aspect}\t{inputs}\t{support}\t{year}\t{comments}'
            , file=soubor
        )
